1. Account Balance
PIK
  • Start
    • Getting Started
  • Authentication
    • Authentication Token
      POST
  • Global Account
    • Contacts
      • Create Contact
      • List Contacts
      • Get Contact
      • Count Contacts
    • Virtual Accounts
      • Create Virtual Account
      • List Virtual Accounts
      • Get Virtual Account
    • Transactions
      • List Transactions
      • Get Transaction
    • Account Balance
      • List Account Balances
        GET
      • Get Balance by Currency
        GET
    • Payout
      • Create Payout
    • Webhooks
      • Unified Webhook Entry
      • Virtual Account Webhook
      • Deposit Webhook
      • Payout Status Webhook
  • Payment Links
    • Payment Links
      • Create Payment Link
      • Update Payment Link
      • Get Payment Link Detail
      • Get Payment Link List
    • Transactions
      • Get Transaction List
  • Webhook
    • Global Account
      • Deposit Webhook
      • Payout Webhook
      • Virtual Account Webhook
    • Payment Links
      • Overview
      • Order Collect Out Webhook
      • Customer Payment Webhook
      • Customer Refund Webhook
      • Master Recharge Webhook
      • Web3 Direct Payment Webhook
      • Withdraw Out Webhook
  1. Account Balance

List Account Balances

GET
/api/v1/balance/list
Query all account balances for the current customer.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or

Responses

🟢200
application/json
Account balances retrieved successfully
Bodyapplication/json

🟠404
🔴500Error
🔴500Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/balance/list' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "code": 200,
    "message": "success",
    "data": [
        {
            "balanceNo": "string",
            "accountType": "string",
            "accountName": "string",
            "assetType": "string",
            "currencyCode": "string",
            "currencyName": "string",
            "networkCode": "string",
            "balance": 0,
            "availableBalance": 0,
            "frozenBalance": 0,
            "pendingBalance": 0,
            "status": "string",
            "flagIcon": "string",
            "currencySymbol": "string",
            "lastChangeTime": "2019-08-24T14:15:22.123Z",
            "createTimeUtc": "2019-08-24T14:15:22.123Z",
            "updateTimeUtc": "2019-08-24T14:15:22.123Z"
        }
    ]
}
Modified at 2026-05-27 09:47:15
Previous
Get Transaction
Next
Get Balance by Currency
Built with